complexType "RequestInterestRetracted"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-collateral-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, (issuerPartyReference?, receiverPartyReference?, (party*, account*)?, collateralRetractionReason*)?
</...>

Content Model Elements (11):

  account, collateralRetractionReason (in requestInterestRetracted), correlationId, header (defined in RequestMessage complexType), issuerPartyReference (in requestInterestRetracted), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), receiverPartyReference (in requestInterestRetracted), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  requestInterestRetracted

Known Usage Locations

- As direct type of elements (1):
  requestInterestRetracted

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) RequestInterestRetracted

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="RequestInterestRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence minOccurs="0"> <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
collateralRetractionReason

  Type: | CollateralRetractionReason, complex content

  Defines a list of collateral retraction reason codes.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="collateralRetractionReason" type="CollateralRetractionReason"/>

issuerPartyReference

  Type: | PartyReference, empty content

  The party issuing the interest notification.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="issuerPartyReference" type="PartyReference"/>

receiverPartyReference

  Type: | PartyReference, empty content

  The party receiving the interest notification.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="receiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.